Package org.eclipse.mat.parser.index

## Class IndexWriter.IntIndexCollectorUncompressed

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.IntIndexCollectorUncompressed

Direct Known Subclasses:
  `IndexWriter.SizeIndexCollectorUncompressed`

Enclosing class:
  IndexWriter

    public static class IndexWriter.IntIndexCollectorUncompressed
    extends Object

### Constructor Summary

Constructors
`IntIndexCollectorUncompressed​(int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `get​(int index)`
`void` `set​(int index, int value)`
`IIndexReader.IOne2OneIndex` `writeTo​(File indexFile)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntIndexCollectorUncompressed

    public IntIndexCollectorUncompressed​(int size)

### Method Detail

#### set

    public void set​(int index,
                    int value)

#### get

    public int get​(int index)

#### writeTo

    public IIndexReader.IOne2OneIndex writeTo​(File indexFile)
                                       throws IOException

Throws:
  `IOException`